## ECONOMETRIC METHODS FOR FORECASTING
#
#  PLOT DATA
#
#  Description:
#  This code snippet shows how to test for normality using the
#  Jarque-Bera test.
#
#  Francisco Blasques 2019

import numpy as np
from scipy import stats
from mat4py import loadmat
import statsmodels
import pandas as pd

## 1. Load data
dfX  = pd.read_csv('ts_data.csv') # in this file the time series data is labeled "x"

#x = loadmat('ts_data.mat')
#dfX =  pd.DataFrame({'x': np.array(x['x'][:])[:,0]})

## 2. Run JB test


resultsJB = stats.jarque_bera(dfX) # JB normality test


print('results of the JB-test')

dfResults = pd.Series(resultsJB[0:2], index=['JB Test Statistic','P-Value']) #gives the value of the test statistic and the p-value
print(dfResults)
