
## ECONOMETRIC METHODS FOR FORECASTING
#
#  PLOT DATA
#
#  Description:
#  This code snippet shows how to load and plot time-series data
#
#  Francisco Blasques 2019

import numpy as np
from mat4py import loadmat
import matplotlib.pyplot as plt
import statsmodels
from statsmodels.tsa.stattools import adfuller
import pandas as pd

## 1. Load data
dfX  = pd.read_csv('ts_data.csv') # in this file the time series data is labeled "x"

#x = loadmat('ts_data.mat')
#dfX =  pd.DataFrame({'x': np.array(x['x'][:])[:,0]})

## 2. Plot Data

# Creates two subplots and unpacks the output array immediately
f, (ax1, ax2) = plt.subplots(2, 1, sharey=True)
ax1.plot(dfX)
ax1.set_title('Data over time')
ax2.hist(dfX['x'],bins=20)
ax2.set_title('Histogram')
plt.show()
